$(document).ready(function() {
    var websiteUrl = $('#websiteUrl').val();
    $('#silo-name').val('add silo...');
    $('#silo-name').css('color', '#7c7c7c');
    $('#silo-name').click(function() {
	if($(this).val() == 'add silo...') {
	    $(this).val('');
	}
    })

    $('#addbutton').click(function() {
	var siloName = $('#silo-name').val();
	if(siloName == 'add silo...') {
	    $('#silo-name').val('');
	    siloName = '';
	}
	//saving silo
	$.ajax({
	    type : 'post',
	    url:websiteUrl+'sys/backend_prsculpting/savesilo/',
	    data: ({
		name: siloName
	    }),
	    success: function(response) {
		if(isNaN(response)) {
		    switch (response) {
			case 'empty':
			    $('#prs-errors').show();
			    $('#prs-empty').show();
			break;
			case 'toshort':
			    $('#prs-errors').show();
			    $('#prs-lenght-short').show();
			break;
			case 'tolong':
			    $('#prs-errors').show();
			    $('#prs-lenght').show();
			break;
			case 'exists':
			    $('#prs-errors').show();
			    $('#prs-exists').show();
			break;
			case 'forbid':
			    $('#prs-errors').show();
			    $('#prs-forbid').show();
			break;
		    }
		}
		else {
		    $('#prs-success').show();
		    $('select.silo').append('<option value="'+ response +'">'+ siloName +'</option>');
		}
	    }
	});
    });

    $("#chkall").click(function() {
	var checkedStatus = $(this).attr('checked');
	$("input").attr('checked', checkedStatus);
    });
});

function hideMessages() {
    $('#prs-success').hide();
    $('#prs-errors').hide();
    $('#prs-exists').hide();
    $('#prs-empty').hide();
    $('#prs-lenght').hide();
    $('#prs-lenght-short').hide();
    $("#silo-name").val('');
}

function siloCotegory(el) {
    var websiteUrl = $('#websiteUrl').val();
    var siloNameClass = el.id;
    siloName = siloNameClass.replace('-', ' ');
    var isChecked = $(el).attr('checked');
    if(isChecked) {
	$.ajax({
	    type : 'post',
	    url:websiteUrl+'sys/backend_prsculpting/savesilo/',
	    data: ({
		name: siloName,
		asCat: isChecked
	    }),
	    success: function(response) {
		if(!isNaN(response)) {
		    $('select.silo').append('<option value="'+ response +'">'+ siloName +'</option>');
		}
		var selects = $.find('select.silo');
		$.each(selects, function() {
		    if($(this).hasClass(siloNameClass)) {
			$(this).val(siloName);
		    }
		});
	    }
	})
    }
    else {
	$.ajax({
	    type : 'post',
	    url:websiteUrl+'sys/backend_prsculpting/removeascat/',
	    data: ({
		name: siloName
	    }),
	    success: function(response) {
		var selects = $.find('select.silo');
		$.each(selects, function() {
		    if($(this).hasClass(siloNameClass)) {
			$(this).val('none');
		    }
		});
	    }
	})
    }
}